This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510879 - Pan won't display some images when selecting the articles.
Pan won't display some images when selecting the articles.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
Pan doesn't display some images.
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 19:50 EDT by Robin Laing
Modified: 2010-06-28 09:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:35:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Laing 2009-07-11 19:50:36 EDT
Description of problem:
When using Pan in previous versions, you would get a preview of the image in the article body window.  Now you get an error message.
   Attachment not shown: MIME type image/jpeg; filename 
         DOCTOR.WHO.203.PLANET.OF.THE.DEAD.DVD9.PAL.SUBS.JPG
   Attachment not shown: MIME type image/gif; Toughtimes.gif

Version-Release number of selected component (if applicable):
pan-0.133-3.fc11.x86_64
gmime-2.4.3-3.fc11.x86_64
gmime22-2.2.23-5.fc11.x86_64
gtk2-2.16.2-1.fc11.x86_64


How reproducible:
Almost all images.  JPEG and GIF.

Steps to Reproduce:
1.  Open Pan and go to a binary group.
2.  Select an image.  If the image is visible, try another.
3.  
  
Actual results:
Error message in the display is indicated.  Image can be saved and it is viewable in any application that I have tried.


Expected results:
Image should be previewed in the message body window.  It should be scaled if scaling is turned on.

Additional info:
Running Pan from the CLI, I get this message if image scaling is turned on.

(pan:15246): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(pan:15246): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(pan:15246): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `GDK_IS_PIXBUF (src)' failed

(pan:15246): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed



If image scaling is turned off, I get this message.

(pan:15246): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed


I have had this issue since installing Fedora 11.  Fedora 10 worked as expected.

This was a problem with Pan in the past (2007) but I cannot find a recent report of this problem.

There are reports of other applications having issues with gdk_pixbuf as well so this may be an upstream issue.

Gnome bugs 587924, 435863 I feel are related and I have made comments on them about this bug.
Comment 1 David Marsh 2009-12-22 14:42:37 EST
Same Fault Occurs on FC12 with gtk2-2.18.5-3.fc12.i686
Comment 2 Robin Laing 2009-12-23 03:32:40 EST
Last night I was doing some usenet browsing and the only articles that wouldn't show a preview were multi-part articles.  If the article only had one part, I got a preview.

I did some more testing now and I find that if the articles are yenc encoded and they are more than one part, then they won't display in Pan.  

This is one of the two part images details from the message. .  It was an

==== Part 1

Subject:  XXXXXXXXX.jpg (1/2)

=ybegin part=1 line=128 size=317619 name=XXXXXXXXX.jpg
=ypart begin=1 end=249600

{image data}

=yend size=249600 part=1 pcrc32=73d9c661


http://www.USENETHOST.com 100% Uncensored , 100% Anonymous,      5$/month  Only!
====  Part 2

Subject:  XXXXXXXXX.jpg (2/2)

=ybegin part=2 line=128 size=317619 name=XXXXXXXXX.jpg
=ypart begin=249601 end=317619

{image data}

=yend size=68019 part=2 pcrc32=79fb5b1e


http://www.USENETHOST.com 100% Uncensored , 100% Anonymous,      5$/month  Only!
========

This seems different but the outcome is the same.

At present, I cannot run Pan from the CLI as I am using it quite a lot right now.
Comment 3 Robin Laing 2009-12-24 00:48:00 EST
To confirm my thoughts.  On a two part picture post I get this warning.


(pan:5072): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(pan:5072): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed

(pan:5072): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `GDK_IS_PIXBUF (src)' failed

(pan:5072): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

Part 1 of 2 
=ybegin part=1 line=128 size=260505 name=clean  (57).jpg
=ypart begin=1 end=249600

{article body}

=yend size=249600 part=1 pcrc32=cc01550b


http://www.USENETHOST.com 100% Uncensored , 100% Anonymous,      5$/month  Only!



Part 2 of 2


=ybegin part=2 line=128 size=260505 name=clean  (57).jpg
=ypart begin=249601 end=260505

{article body}

=yend size=10905 part=2 pcrc32=de70680c


http://www.USENETHOST.com 100% Uncensored , 100% Anonymous,      5$/month  Only!

====

It is looking like there is an issue with decoding the image for preview but not for actually saving the file.
Comment 4 Zing 2009-12-28 20:55:56 EST
Hi, for those who would like to test/experiment, I built an rpm for F12 from:

http://github.com/lostcoder/pan2

here:

http://shishz.fedorapeople.org/

It's solved a number of other issues too I've had with the last pan release.

Hopefully this is helpful...
Comment 5 Robin Laing 2009-12-28 23:57:47 EST
I will be willing to try, once I get F12 on my machine this week.

I confirmed that the problem is with two or more part images not being processed correctly.  I clicked on an image today and it was missing part two or two.  I got a partial image.  Yet one right above it that was a two part image wouldn't display anything.

When it displayed the image with the missing part, it showed a corrupted area where the image should have been.  I have seen this in various other image programs as well.
Comment 6 Bug Zapper 2010-04-27 11:37:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andre 2010-05-29 22:14:40 EDT
FYI: I ran into this exact same bug on a completely different system (gentoo),
but I've isolated it to an interaction between gcc 4.4.3 and gmime 2.2.24.
I first saw this bug after upgrading to gcc 4.4.3 and rebuilding the world.
The bug does not manifest if I either compile gmime with gcc 4.3.4 or I
compile gmime with gcc 4.4.3 and -O1 (instead of -O2).  So it looks like
either a gcc bug or a bug in gmime that only shows up when using -O2
and this version of gcc.

# gcc -v
Using built-in specs.
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.4.3-r2/work/gcc-4.4.3/configure --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.3 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.3 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.3/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.3/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/include/g++-v4 --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --disable-altivec --disable-fixed-point --without-ppl --without-cloog --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --enable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/4.4.3/python --disable-libgcj --enable-languages=c,c++,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.4.3-r2 p1.2'
Thread model: posix
gcc version 4.4.3 (Gentoo 4.4.3-r2 p1.2)
Comment 8 Zing 2010-05-31 20:45:44 EDT
(In reply to comment #7)
> FYI: I ran into this exact same bug on a completely different system (gentoo),
> but I've isolated it to an interaction between gcc 4.4.3 and gmime 2.2.24.

I notice a gcc 4.4 optimization fix in gmime 2.2.25.  You might want to try that or 2.2.26 and see if that fixes it.  Fedora 13's gmime22 is at 2.2.25.
Comment 9 Andre 2010-05-31 21:05:55 EDT
Interestingly (on gentoo) both gmime-2.2.25 and gmime-2.2.26 work for me.
Comment 10 Bug Zapper 2010-06-28 09:35:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.